/* $Id: PubmedArticle.hpp 646440 2022-03-08 16:32:50Z grichenk $
 * ===========================================================================
 *
 *                            PUBLIC DOMAIN NOTICE
 *               National Center for Biotechnology Information
 *
 *  This software/database is a "United States Government Work" under the
 *  terms of the United States Copyright Act.  It was written as part of
 *  the author's official duties as a United States Government employee and
 *  thus cannot be copyrighted.  This software/database is freely available
 *  to the public for use. The National Library of Medicine and the U.S.
 *  Government have not placed any restriction on its use or reproduction.
 *
 *  Although all reasonable efforts have been taken to ensure the accuracy
 *  and reliability of the software and data, the NLM and the U.S.
 *  Government do not and cannot warrant the performance or results that
 *  may be obtained by using this software or data. The NLM and the U.S.
 *  Government disclaim all warranties, express or implied, including
 *  warranties of performance, merchantability or fitness for any particular
 *  purpose.
 *
 *  Please cite the author in any work or product based on this material.
 *
 * ===========================================================================
 *
 */

/// @file PubmedArticle.hpp
/// User-defined methods of the data storage class.
///
/// This file was originally generated by application DATATOOL
/// using the following specifications:
/// 'efetch.dtd'.
///
/// New methods or data members can be added to it if needed.
/// See also: PubmedArticle_.hpp


#ifndef eutils__OBJTOOLS_EUTILS_EFETCH_PUBMEDARTICLE_HPP
#define eutils__OBJTOOLS_EUTILS_EFETCH_PUBMEDARTICLE_HPP

#include <objects/pubmed/Pubmed_entry.hpp>

// generated includes
#include <objtools/eutils/efetch/PubmedArticle_.hpp>

// generated classes

BEGIN_eutils_SCOPE // namespace eutils::

/////////////////////////////////////////////////////////////////////////////
class CPubmedArticle : public CPubmedArticle_Base
{
    typedef CPubmedArticle_Base Tparent;
public:
    // constructor
    CPubmedArticle(void);
    // destructor
    ~CPubmedArticle(void);

    ncbi::CRef<ncbi::objects::CPubmed_entry> ToPubmed_entry(void) const;

private:
    // Prohibit copy constructor and assignment operator
    CPubmedArticle(const CPubmedArticle& value);
    CPubmedArticle& operator=(const CPubmedArticle& value);

};

/////////////////// CPubmedArticle inline methods

// constructor
inline
CPubmedArticle::CPubmedArticle(void)
{
}


/////////////////// end of CPubmedArticle inline methods


END_eutils_SCOPE // namespace eutils::


#endif // eutils__OBJTOOLS_EUTILS_EFETCH_PUBMEDARTICLE_HPP
/* Original file checksum: lines: 82, chars: 2477, CRC32: 26408000 */
